org.eclipse.wst.jsdt.chromium

## Interface JsScope.Declarative

All Superinterfaces:
  JsScope

Enclosing interface:
  JsScope

    public static interface JsScope.Declarative
    extends JsScope

Mirrors declarative scope. It's all scopes except 'with' and 'global'. This scope has a well-defined set of variables.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.wst.jsdt.chromium.JsScope

`JsScope.Declarative, JsScope.ObjectBased, JsScope.Type, JsScope.Visitor<R>`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.List<? extends JsDeclarativeVariable>` `getVariables()`

### Methods inherited from interface org.eclipse.wst.jsdt.chromium.JsScope

`accept, asDeclarativeScope, asObjectBased, getType`

### Method Detail

#### getVariables

    java.util.List<? extends JsDeclarativeVariable> getVariables()
                                                          throws MethodIsBlockingException

Returns:
  the variables known in this scope, in lexicographical order
Throws:
  `MethodIsBlockingException` - because it may need to load value from remote